Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs
gradechop.h File Reference
`#include "seam.h"`
`#include "ndminx.h"`

Go to the source code of this file.

## Macros

#define | partial_split_priority(split)
#define | split_bounds_overlap(split, outline)

## Typedefs

typedef inT16 | BOUNDS_RECT [4]

## Macro Definition Documentation

#define partial_split_priority | ( |  | split | ) |

Value:
(grade_split_length (split) + \
grade_sharpness (split)) \

Definition at line 51 of file gradechop.h.

#define split_bounds_overlap | ( |  | split,
|  |  | outline
| ) |  |

Value:
(outline->topleft.x <= MAX (split->point1->pos.x,split->point2->pos.x) && \
outline->botright.x >= MIN (split->point1->pos.x,split->point2->pos.x) && \
outline->botright.y <= MAX (split->point1->pos.y,split->point2->pos.y) && \
outline->topleft.y >= MIN (split->point1->pos.y,split->point2->pos.y))

Definition at line 63 of file gradechop.h.

## Typedef Documentation

typedef inT16 BOUNDS_RECT[4]

Definition at line 38 of file gradechop.h.